using System.Text.Json.Serialization;
using SteUp.Shared.Core.Enum;

namespace SteUp.Shared.Core.Dto;

public class SaveRequestDto
{
    [JsonPropertyName("localIdScheda")]
    public int? LocalIdScheda { get; set; }
    
    [JsonPropertyName("activityId")]
    public string? ActivityId { get; set; }
    
    [JsonPropertyName("codMdep")]
    public string? CodMdep { get; set; }
    
    [JsonPropertyName("note")]
    public string? Note { get; set; }
    
    [JsonPropertyName("parentActivityId")]
    public string? ParentActivityId { get; set; }
    
    [JsonPropertyName("activityTypeId")]
    public string? ActivityTypeId { get; set; }
    
    [JsonPropertyName("codJfas")]
    public string? CodJfas { get; set; }
    
    [JsonPropertyName("personaRif")]
    public string? PersonaRif { get; set; }
    
    [JsonPropertyName("scandeza")]
    public ScadenzaEnum Scandeza { get; set; }

    [JsonPropertyName("dataCreazione")]
    public DateTime? DataCreazione { get; set; }

    [JsonPropertyName("barcodes")]
    public List<string>? Barcodes { get; set; }
}